"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useDragEvents_1 = __importDefault(require("./useDragEvents"));
var useDropZone = function (targetRef) {
    var _a = (0, useDragEvents_1.default)(targetRef, false), onDrop = _a.onDrop, onDragOver = _a.onDragOver, onDragLeave = _a.onDragLeave;
    var _b = (0, react_1.useState)(false), isOver = _b[0], setIsOver = _b[1];
    onDragOver(function (event) {
        event.preventDefault();
        setIsOver(true);
    });
    onDragLeave(function () {
        setIsOver(false);
    });
    return Object.freeze({
        isOver: isOver,
        onDrop: onDrop
    });
};
exports.default = useDropZone;
